cern.jet.random

## Class VonMises

- java.lang.Object
- - cern.colt.PersistentObject
  - - cern.jet.random.AbstractDistribution
    - - cern.jet.random.AbstractContinousDistribution
      - - cern.jet.random.VonMises

All Implemented Interfaces:
  DoubleFunction, IntFunction, java.io.Serializable, java.lang.Cloneable

    public class VonMises
    extends AbstractContinousDistribution

Von Mises distribution.

Valid parameter ranges: `k > 0`.

Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

Static methods operate on a default uniform random number generator; they are synchronized.

Implementation:

Method: Acceptance Rejection.
This is a port of `mwc.c` from the C-RAND / WIN-RAND library. C-RAND's implementation, in turn, is based upon

D.J. Best, N.I. Fisher (1979): Efficient simulation of the von Mises distribution, Appl. Statist. 28, 152-157.

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cern.colt.PersistentObject

`serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`VonMises(double freedom, RandomEngine randomGenerator)` Constructs a Von Mises distribution.

### Method Summary

Methods
`double` `nextDouble()` Returns a random number from the distribution.
`double` `nextDouble(double k)` Returns a random number from the distribution; bypasses the internal state.
`void` `setState(double k)` Sets the distribution parameter.
`static double` `staticNextDouble(double freedom)` Returns a random number from the distribution.
`java.lang.String` `toString()` Returns a String representation of the receiver.

### Methods inherited from class cern.jet.random.AbstractDistribution

`apply, apply, clone, makeDefaultGenerator, nextInt`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VonMises

    public VonMises(double freedom,
            RandomEngine randomGenerator)

Constructs a Von Mises distribution. Example: k=1.0.

Throws:
  `java.lang.IllegalArgumentException` - if `k <= 0.0`.

### Method Detail

#### nextDouble

    public double nextDouble()

Returns a random number from the distribution.

Specified by:
  `nextDouble` in class `AbstractDistribution`

#### nextDouble

    public double nextDouble(double k)

Returns a random number from the distribution; bypasses the internal state.

Throws:
  `java.lang.IllegalArgumentException` - if `k <= 0.0`.

#### setState

    public void setState(double k)

Sets the distribution parameter.

Throws:
  `java.lang.IllegalArgumentException` - if `k <= 0.0`.

#### staticNextDouble

    public static double staticNextDouble(double freedom)

Returns a random number from the distribution.

Throws:
  `java.lang.IllegalArgumentException` - if `k <= 0.0`.

#### toString

    public java.lang.String toString()

Returns a String representation of the receiver.

Overrides:
  `toString` in class `java.lang.Object`